summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/gdb/gdb.SlackBuild23
-rwxr-xr-xsource/d/indent/indent.SlackBuild20
2 files changed, 32 insertions, 11 deletions
diff --git a/source/d/gdb/gdb.SlackBuild b/source/d/gdb/gdb.SlackBuild
index c45c15480..41b0fd5d7 100755
--- a/source/d/gdb/gdb.SlackBuild
+++ b/source/d/gdb/gdb.SlackBuild
@@ -55,6 +55,27 @@ fi
TMP=${TMP:-/tmp}
PKG=$TMP/package-gdb
+# Don't use icecream:
+for path_element in $(echo $PATH | tr ':' '\n') ; do
+ if [ "$path_element" = "/usr/libexec/icecc/bin" ]; then
+ continue
+ fi
+ if [ -z "$REVERSE_PATH" ]; then
+ REVERSE_PATH="$path_element"
+ else
+ REVERSE_PATH="${REVERSE_PATH}:$path_element"
+ fi
+done
+for path_element in $(echo $REVERSE_PATH | tr ':' '\n') ; do
+ if [ -z "$FORWARD_PATH" ]; then
+ FORWARD_PATH="$path_element"
+ else
+ FORWARD_PATH="${FORWARD_PATH}:$path_element"
+ fi
+done
+PATH=$FORWARD_PATH
+unset FORWARD_PATH REVERSE_PATH
+
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -70,7 +91,7 @@ find . \
-exec chmod 644 {} \;
# Currently broken in this version, but keep trying:
-if [ "$VERSION" = "8.0.1" -o "$VERSION" = "8.1" -o "$VERSION" = "8.1.1" ]; then
+if [ "$VERSION" = "8.0.1" -o "$VERSION" = "8.1" -o "$VERSION" = "8.1.1" -o "$VERSION" = "8.2" ]; then
GUILE_OPTION="--without-guile"
else
# Might as well try it to see if it compiles this time:
diff --git a/source/d/indent/indent.SlackBuild b/source/d/indent/indent.SlackBuild
index 169bcb97e..9dd73c594 100755
--- a/source/d/indent/indent.SlackBuild
+++ b/source/d/indent/indent.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=indent
-VERSION=${VERSION:-2.2.10}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -65,7 +65,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf indent-$VERSION
-tar xvf $CWD/indent-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/indent-$VERSION.tar.?z || exit 1
cd indent-$VERSION || exit 1
chown -R root:root .
find . \
@@ -90,13 +90,13 @@ CXXFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# I'm not sure why this man page fails, but...
-if find $PKG -type f -size 0c -name indent.1 ; then
- ( cd man
- ./texinfo2man ./indent.1.in ./../doc/indent.texinfo > indent.1
- cat indent.1 > $PKG/usr/man/man1/indent.1
- )
-fi
+## I'm not sure why this man page fails, but...
+#if find $PKG -type f -size 0c -name indent.1 ; then
+# ( cd man
+# ./texinfo2man ./indent.1.in ./../doc/indent.texinfo > indent.1
+# cat indent.1 > $PKG/usr/man/man1/indent.1
+# )
+#fi
# Strip binaries and libraries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \